> ## Documentation Index
> Fetch the complete documentation index at: https://docs.octavehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List References

> List References



## OpenAPI

````yaml get /api/v2/reference/list
openapi: 3.0.0
info:
  version: 1.0.0
  title: Octave API
  description: API for Octave workspace management and AI-powered content generation
servers:
  - url: https://app.octavehq.com
security:
  - ApiKeyAuth: []
paths:
  /api/v2/reference/list:
    get:
      tags:
        - Reference
      summary: List References
      description: List References
      operationId: listReferences
      parameters:
        - schema:
            type: string
            nullable: true
            description: Text to search for
          required: false
          description: Text to search for
          name: text
          in: query
        - schema:
            type: number
            nullable: true
            default: 10
            description: Limit the number of results
          required: false
          description: Limit the number of results
          name: limit
          in: query
        - schema:
            type: number
            nullable: true
            default: 0
            description: Offset the results
          required: false
          description: Offset the results
          name: offset
          in: query
        - schema:
            type: string
            nullable: true
            description: >-
              Filter by offering OId. Accepts Product, Service, and Solution
              OIds.
          required: false
          description: Filter by offering OId. Accepts Product, Service, and Solution OIds.
          name: offeringOId
          in: query
        - schema:
            type: string
            nullable: true
            description: >-
              @deprecated Use `offeringOId` instead. Filter by offering OId
              (Product, Service, or Solution). Kept for backward compatibility.
            deprecated: true
          required: false
          description: >-
            @deprecated Use `offeringOId` instead. Filter by offering OId
            (Product, Service, or Solution). Kept for backward compatibility.
          name: productOId
          in: query
        - schema:
            type: string
            nullable: true
            description: Playbook OId
          required: false
          description: Playbook OId
          name: playbookOId
          in: query
        - schema:
            type: array
            items:
              type: string
            description: OIds
          required: false
          description: OIds
          name: oIds
          in: query
      responses:
        '200':
          description: Reference data
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    $ref: '#/components/schemas/Metadata'
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        oId:
                          type: string
                          minLength: 1
                          description: The ID of the reference
                          example: r_1234
                        name:
                          type: string
                          nullable: true
                          description: The external facing name of the reference
                          example: Large filesharing service
                        internalName:
                          type: string
                          nullable: true
                          description: The internal name of the reference
                          example: Dropbox
                        createdAt:
                          type: string
                          format: date-time
                          description: The date and time the reference was created
                          example: '2021-01-01'
                        updatedAt:
                          type: string
                          nullable: true
                          format: date-time
                          description: The date and time the reference was updated
                          example: '2021-01-01'
                        deletedAt:
                          type: string
                          nullable: true
                          format: date-time
                          description: The date and time the reference was deleted
                          example: '2021-01-01'
                        archivedAt:
                          type: string
                          nullable: true
                          format: date-time
                          description: The date and time the reference was archived
                          example: '2021-01-01'
                        description:
                          type: string
                          nullable: true
                          description: The description of the reference
                          example: Description of the reference
                        active:
                          type: boolean
                          default: true
                          description: Whether the reference is active and can be used
                          example: true
                        data:
                          $ref: '#/components/schemas/ReferenceData'
                        user:
                          type: object
                          properties:
                            oId:
                              type: string
                              nullable: true
                              description: The ID of the user
                              example: u_1234
                            firstName:
                              type: string
                              nullable: true
                              description: >-
                                The first name of the user who created the
                                reference
                              example: John
                            lastName:
                              type: string
                              nullable: true
                              description: >-
                                The last name of the user who created the
                                reference
                              example: Doe
                        workspace:
                          type: object
                          properties:
                            oId:
                              type: string
                              nullable: true
                              description: The ID of the workspace
                              example: w_1234
                        unrecognized:
                          type: boolean
                          nullable: true
                          description: Whether the reference is unrecognized
                          example: false
                      required:
                        - oId
                        - createdAt
                        - data
                        - user
                        - workspace
                  total:
                    type: number
                    description: Total number of results
                required:
                  - _metadata
                  - data
                  - total
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    $ref: '#/components/schemas/Metadata'
                  message:
                    type: string
                required:
                  - _metadata
                  - message
      deprecated: false
components:
  schemas:
    Metadata:
      type: object
      properties:
        usage:
          type: number
          default: 0
          example: 0
          description: API usage
        requestId:
          type: string
          example: requestId
          description: Request ID
        message:
          type: string
          example: message
          description: Message
        timestamp:
          type: string
          example: '2021-01-01T00:00:00.000Z'
          description: Timestamp
      required:
        - requestId
        - timestamp
    ReferenceData:
      type: object
      nullable: true
      properties:
        businessModel:
          type: array
          nullable: true
          items:
            type: string
        theirChallenge:
          type: array
          nullable: true
          items:
            type: string
        howTheyUseUs:
          type: array
          nullable: true
          items:
            type: string
        whyTheyChoseUs:
          type: array
          nullable: true
          items:
            type: string
        impactTheySaw:
          type: array
          nullable: true
          items:
            type: string
        stakeholdersInvolved:
          type: array
          nullable: true
          items:
            type: string
        customFields:
          $ref: '#/components/schemas/CustomDataFields'
        additionalProperties:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
              - type: number
              - type: boolean
    CustomDataFields:
      type: array
      items:
        $ref: '#/components/schemas/CustomDataFieldItem'
    CustomDataFieldItem:
      type: object
      properties:
        title:
          type: string
        value:
          type: array
          items:
            type: string
      required:
        - title
        - value
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````